Skip to main content
GET
/
agents
/
{agentId}
/
conversations
/
{conversationId}
Get a conversation
curl --request GET \
  --url https://www.chatbase.co/api/v2/agents/{agentId}/conversations/{conversationId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "title": "<string>",
    "createdAt": 123,
    "updatedAt": 123,
    "userId": "<string>",
    "status": "ongoing",
    "messages": [
      {
        "id": "<string>",
        "role": "user",
        "parts": [
          {
            "type": "text",
            "text": "<string>"
          }
        ],
        "createdAt": 123,
        "feedback": "positive",
        "metadata": {
          "score": 123
        }
      }
    ]
  },
  "pagination": {
    "cursor": "<string>",
    "hasMore": true,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://chatbase.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from your account settings

Path Parameters

agentId
string
required

The agent ID

Minimum string length: 1
Example:

"5QHA6VB-DIAbBhxwqxfdi"

conversationId
string
required

The conversation ID

Minimum string length: 1
Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

Response

Conversation metadata with recent messages

data
object
required
pagination
object
required